Subject: email oid

From: "Robert Klerer" <[email-masked]>
Date: Thu, 29 Oct 1998 08:18:37 -0500

The other day in trying to accommodate a legacy pki, I ran into a problem
with an oid specified in draft-ietf-pkix-ipki-part1-11.  The ASN.1 specifies
that the oid used for an email address in the distinguished name is
1.2.840.113549.1.9.1, which refers to a RSA-pkcs-9 email address.  I and
others have been using 0.9.2342.19200300.100.1.3 which is for internet mail
as specified in RFC1274.

Since I believe that the intention is for both of these oids are meant to
represent attributes that hold the same information, this discrepancy may
cause confusion and failures in the future.  My suggestion would be to
change part1 to refer to the more commonly used OID.

---

From: Russ Housley <[email-masked]>
Date: Thu, 29 Oct 1998 20:39:10 -0500

It is my understanding that the PKCS#9 OID is widely used in S/MIME v2
implementations.

Russ